<?php
use App\Models\MeasureLevel;
use Illuminate\Support\Facades\DB;

return [
    'organization' => [
        'structureId' => 'Id de la structure',
        'name' => 'Nom de la collectivité',
        'shortName' => 'Nom court',
        'territory' => 'Libellé territoire',
        'type' => 'Type de structure',
        'insee' => 'Insee',
        'siren' => 'Siren',
        'active' => 'Actif',
        'website' => 'Site internet',
        'info' => 'Infos complémentaire',
        'fullAddress' => 'Adresse',
        'referent' => 'Référent',
        'referentEmail' => 'Email référent',
        'referentElu' => 'Référent élu',
        'referentEluEmail' => 'Email référent élu',
        'referentCyber' => 'Référent cybersécurité',
        'referentCyberEmail' => 'Email référent cyber',
        'lastEvaluation' => [
            'cyberMaturity' => 'Score indice maturité cyber',
            'reference' => 'Version du référentiel',
            'updatedBy' => 'Evaluation modifiée par',
            'author' => 'Evaluation crée  par',
        ],
        'previousEvaluation' => [
            'cyberMaturity' => 'Score indice maturité cyber n-1',
        ],
        'measure1' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',1)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',1)->first())->name,
        ],
        'measure2' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',2)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',2)->first())->name,
        ],
        'measure3' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',3)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',3)->first())->name,
        ],
        'measure4' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',4)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',4)->first())->name,
        ],
        'measure5' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',5)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',5)->first())->name,
        ],
        'measure6' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',6)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',6)->first())->name,
        ],
        'measure7' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',7)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',7)->first())->name,
        ],
        'measure8' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',8)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',8)->first())->name,
        ],
        'measure9' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',9)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',9)->first())->name,
        ],
        'measure10' => [
            'actualLevel' => 'Niveau de mise en œuvre : '.(DB::table('measures')->where('id',10)->first())->name,
            'expectedLevel' => 'Niveau de planification : '.(DB::table('measures')->where('id',10)->first())->name,
        ],
        'executionLevel' => "Niveau d'exécution",
        'createdDate' => 'Date création de la collectivité',

        'dangerLevel1' => 'Perception du danger : '.(DB::table('dangers')->where('id',1)->first())->name,
        'dangerLevel2' => 'Perception du danger : '.(DB::table('dangers')->where('id',2)->first())->name,
        'dangerLevel3' => 'Perception du danger : '.(DB::table('dangers')->where('id',3)->first())->name,
        'dangerLevel4' => 'Perception du danger : '.(DB::table('dangers')->where('id',4)->first())->name,
        'dangerLevel5' => 'Perception du danger : '.(DB::table('dangers')->where('id',5)->first())->name,
        'dangerLevel6' => 'Perception du danger : '.(DB::table('dangers')->where('id',6)->first())->name,

        'maturityLevel' => [
            'knowledge' => 'Niveau de connaissance',
            'organization' => 'Niveau de organisation',
            'motivation' => 'Niveau de motivation',
        ],

        'alert' => 'Alerte seuil dépassé',
    ],
    'evaluation' => [
        'organizationId' => 'Collectivité id',
        'organizationName' => 'Nom de la structure',
        'territoryName' => 'Nom du territoire',
        'updatedDate' => 'Date de modification',
        'updatedBy' => 'Modifié par',
        'reference' => 'Référentiel',
        'status' => 'Statut de l’évaluation',
        'statusDangers' => 'Statut Dangers',
        'dangerLevel_1' => 'Perception du danger : '.(DB::table('dangers')->where('id',1)->first())->name,
        'dangerLevel_2' => 'Perception du danger : '.(DB::table('dangers')->where('id',2)->first())->name,
        'dangerLevel_3' => 'Perception du danger : '.(DB::table('dangers')->where('id',3)->first())->name,
        'dangerLevel_4' => 'Perception du danger : '.(DB::table('dangers')->where('id',4)->first())->name,
        'dangerLevel_5' => 'Perception du danger : '.(DB::table('dangers')->where('id',5)->first())->name,
        'dangerLevel_6' => 'Perception du danger : '.(DB::table('dangers')->where('id',6)->first())->name,
        'q1' => 'Q1',
        'q1ExpectedLevel' => 'Q1 Niveau visé',
        'q1PlannedDate' => 'Q1 Date planification',
        'q1Actor' => 'Q1 Acteur',
        'q2' => 'Q2',
        'q2ExpectedLevel' => 'Q2 Niveau visé',
        'q2PlannedDate' => 'Q2 Date planification',
        'q2Actor' => 'Q2 Acteur',
        'q3' => 'Q3',
        'q3ExpectedLevel' => 'Q3 Niveau visé',
        'q3PlannedDate' => 'Q3 Date planification',
        'q3Actor' => 'Q3 Acteur',
        'q4' => 'Q4',
        'q4ExpectedLevel' => 'Q4 Niveau visé',
        'q4PlannedDate' => 'Q4 Date planification',
        'q4Actor' => 'Q4 Acteur',
        'q5' => 'Q5',
        'q5ExpectedLevel' => 'Q5 Niveau visé',
        'q5PlannedDate' => 'Q5 Date planification',
        'q5Actor' => 'Q5 Acteur',
        'q6' => 'Q6',
        'q6ExpectedLevel' => 'Q6 Niveau visé',
        'q6PlannedDate' => 'Q6 Date planification',
        'q6Actor' => 'Q6 Acteur',
        'q7' => 'Q7',
        'q7ExpectedLevel' => 'Q7 Niveau visé',
        'q7PlannedDate' => 'Q7 Date planification',
        'q7Actor' => 'Q7 Acteur',
        'q8' => 'Q8',
        'q8ExpectedLevel' => 'Q8 Niveau visé',
        'q8PlannedDate' => 'Q8 Date planification',
        'q8Actor' => 'Q8 Acteur',
        'q9' => 'Q9',
        'q9ExpectedLevel' => 'Q9 Niveau visé',
        'q9PlannedDate' => 'Q9 Date planification',
        'q9Actor' => 'Q9 Acteur',
        'q10' => 'Q10',
        'q10ExpectedLevel' => 'Q10 Niveau visé',
        'q10PlannedDate' => 'Q10 Date planification',
        'q10Actor' => 'Q10 Acteur',
        'motivation' => 'Motivation',
        'execution' => 'Exécution',
        'fundamental' => 'Fondamentaux',
        'organization' => 'Organisation',
        'maturityCyber' => 'Indice de maturité',
    ],
];
